Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.output
Class DemuxOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.commons.io.output.DemuxOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public class DemuxOutputStream

extends OutputStream

Data written to this stream is forwarded to a stream that has been associated with this thread.

Version:
  $Revision: 736890 $ $Date: 2009-01-23 02:02:22 +0000 (Fri, 23 Jan 2009) $
Author:
  Peter Donald

Constructor Summary
`DemuxOutputStream()`

Method Summary
`OutputStream` | `bindStream(OutputStream output)` Bind the specified stream to the current thread.
`void` | `close()` Closes stream associated with current thread.
`void` | `flush()` Flushes stream associated with current thread.
`void` | `write(int ch)` Writes byte to stream associated with current thread.

Methods inherited from class java.io.OutputStream
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DemuxOutputStream

    public DemuxOutputStream()

Method Detail

### bindStream

    public OutputStream bindStream(OutputStream output)

  Bind the specified stream to the current thread.

  Parameters:
    `output` - the stream to bind
  Returns:
    the OutputStream that was previously active

### close

    public void close()
               throws IOException

  Closes stream associated with current thread.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException` - if an error occurs

### flush

    public void flush()
               throws IOException

  Flushes stream associated with current thread.

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException` - if an error occurs

### write

    public void write(int ch)
               throws IOException

  Writes byte to stream associated with current thread.

  Specified by:
    `write` in class `OutputStream`
  Parameters:
    `ch` - the byte to write to stream
  Throws:
    `IOException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.